# $Revision: 1.15 $, $Date: 2006/05/21 17:32:52 $
Summary:	Daemon that responds to network cables being plugged in and out
Summary(pl):	Demon reagujcy na podczenia/odczenie kabla ethernetowego
Name:		netplug
Version:	1.2.9
Release:	3
License:	GPL
Group:		Networking
Source0:	http://www.red-bean.com/~bos/netplug/%{name}-%{version}.tar.bz2
# Source0-md5:	3bc8062d8033e3f897b015f2889ce5a9
Patch0:		%{name}-opt.patch
URL:		http://www.red-bean.com/~bos/
Requires(post):	diffutils
Requires(post):	grep
Requires(post,postun):	fileutils
Requires(post,postun):	sed
Requires(post,preun):	/sbin/chkconfig
Requires:	iproute2 >= 2.4.7
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		sysconfig	/etc/sysconfig/network-scripts

%description
netplug is a daemon that manages network interfaces in response to
link-level events such as cables being plugged in and out. When a
cable is plugged into an interface, the netplug daemon brings that
interface up. When the cable is unplugged, the daemon brings that
interface back down.

This is extremely useful for systems such as laptops, which are
constantly being unplugged from one network and plugged into another,
and for moving systems in a machine room from one switch to another
without a need for manual intervention.

%description -l pl
netplug jest demonem zarzdzajcym interfejsami sieciowymi w reakcji
na zdarzenia poziomu poczeniowego (link-level), takie jak
podczenie/odczenia kabla. Przy podczaniu kabla do karty
sieciowej demon netplug podnosi dany interfejs. Przy odczaniu kabla
demon ponownie wycza ten interfejs.

Najbardziej przydaje si to komputerach typu laptop, ktre s cigle
wyczane z jednej sieci i wczane do innej oraz w komputerach
przenoszonych w serwerowni z jednego switcha do drugiego bez potrzeby
rcznej interwencji.

%prep
%setup -q
%patch -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	install_opts= \
	prefix=$RPM_BUILD_ROOT \
	initdir=$RPM_BUILD_ROOT%{_initrddir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%attr(755,root,root) /sbin/netplugd
%dir %{_sysconfdir}/netplug
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/netplug/netplugd.conf
%dir %{_sysconfdir}/netplug.d
%attr(755,root,root) %{_sysconfdir}/netplug.d/netplug
%attr(754,root,root) /etc/rc.d/init.d/netplugd
%{_mandir}/man?/*

%post
/sbin/chkconfig --add netplugd

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del netplugd
fi

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netplug.spec,v $
Revision 1.15  2006/05/21 17:32:52  glen
- rel 3

Revision 1.14  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.13  2005/02/14 09:20:28  darekr
- no, no, no. reverted, anyway it doesn't work as it should.

Revision 1.12  2005/02/13 20:07:41  darekr
- fixed perms, hmm.. it should work

Revision 1.11  2005/01/15 09:15:34  darekr
- fixed %files

Revision 1.10  2005/01/14 19:49:09  darekr
- updated to 1.2.9
- more docs
- 755 perms for netplug.d/netplug, now it works

Revision 1.9  2004/08/30 23:24:55  darekr
- update to 1.2.7

Revision 1.8  2004/06/15 08:37:53  averne
- rel 2 for rebuild

Revision 1.7  2004/06/15 08:37:08  averne
- s/iproute/iproute2

Revision 1.6  2004/04/04 18:21:14  arekm
- updated to 1.2.3; droppped reconfiguration crap

Revision 1.5  2003/10/15 11:04:34  qboosh
- updated URLs, version up to 1.2
- added opt patch, removed COPYING from doc (just GPL)

Revision 1.4  2003/10/14 20:40:36  qboosh
- cleanups, missing dir, more deps, fixed upgrade

Revision 1.3  2003/08/31 21:36:32  ankry
- pl

Revision 1.2  2003/08/28 22:24:21  ankry
- some cosmetics, commented out outdated URL

Revision 1.1  2003/08/28 21:36:33  arekm
- raw

* Tue Aug 26 2003 Bryan O'Sullivan <bos@serpentine.com> -
- Initial build.
